%define upstream_name 	 XML-Records
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:	%{upstream_name} perl module
License: 	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(XML::TokeParser)
BuildArch:	noarch


%description
%{upstream_name} - module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} 
%{__make}

%install
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%files
%doc README MANIFEST Changes
%{_mandir}/*/*
%{perl_vendorlib}/XML




%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.120.0-12.mga10
+ Revision: 2215983
- Mageia 10 Mass Rebuild

* Tue Nov 01 2022 umeabot <umeabot> 0.120.0-11.mga9
+ Revision: 1901213
- Mageia 9 Mass Rebuild

* Thu Oct 15 2020 tv <tv> 0.120.0-10.mga8
+ Revision: 1636213
- fix prefix thus fixing installing

* Wed Feb 12 2020 umeabot <umeabot> 0.120.0-9.mga8
+ Revision: 1498471
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.120.0-8.mga7
+ Revision: 1272785
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.120.0-7.mga6
+ Revision: 1036046
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.120.0-6.mga6
+ Revision: 944205
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-5.mga5
+ Revision: 749972
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 686955
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.120.0-3.mga4
+ Revision: 516142
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 375156
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 23083
- cleaning spec file
- imported package perl-XML-Records


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.120.0-1mdv2010.0
+ Revision: 408245
- rebuild using %%perl_convert_version

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.12-10mdv2009.0
+ Revision: 258879
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.12-9mdv2009.0
+ Revision: 246779
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.12-7mdv2008.1
+ Revision: 136367
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 0.12-7mdv2008.0
+ Revision: 23501
- rebuild


* Wed May 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.12-6mdk
- Fix According to perl Policy
	- Source URL
	- URL
	- BuildRequires
- use mkrel

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.12-5mdk
- rebuild
- Own dir

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.12-4mdk
- rebuild for new auto{prov,req}

